   clear all; close all; clc
%% Double Cross filter 
n1=1;
n2=1;
n=1;%ref. indx of media between filters
Thetp=90;

a1=1e-4;
A1=0.53;

c=299792458;
Thet=pi/180*0;
SPlam=c/50e+9;
figure
hold on
for cc=1:length(SPlam)

a=1e-4;
b=1e-4;
g=(SPlam(cc)+4*a+2*b)/2.27;
disp(['g=' num2str(round(g*1e+4)/10) ' a=' num2str(a*1e+3) ' b=' num2str(b*1e+3) ' Freq=' num2str(round(c/SPlam(cc)*1e-9)) 'GHz' ])

d=g/2;
loss=0;
c=3e+8;
FreqArr=1e+9:1e+8:20e+10;
for cnt=1:length(FreqArr)

freq=FreqArr(cnt);
   Stot3= S(freq, Thet, g, a, b, n1, n2)*T(freq,loss,d,n)*S(freq, Thet, g, a, b, n1, n2)*T(freq,loss,d,n)* S(freq, Thet, g, a, b, n1, n2);

   Stot2= S(freq, Thet, g, a, b, n1, n2)*T(freq,loss,d,n)* S(freq, Thet, g, a, b, n1, n2);
    Stot=  S(freq, Thet, g, a, b, n1, n2);

TTE(cnt)=abs(1./Stot(2,2))^2;
TTE2(cnt)=abs(1./Stot2(2,2))^2;
TTE3(cnt)=abs(1./Stot3(2,2))^2;

TTM(cnt)=abs(1./Stot(4,4))^2;
end
plot(FreqArr*1e-9,TTE,'-b','linew',2)
plot(FreqArr*1e-9,TTE2,'-k','linew',2)
plot(FreqArr*1e-9,TTE3,'-r','linew',2)

end
%  Ttot=sin(Thetp).^2.*TTE+cos(Thetp).^2.*TTM;
grid on
set(gca,'fontsize',16)
% set(gca,'xscale','log')
xlabel('Frequency, [GHz]')
ylabel('Transmissivity, [1]')
title('Cross filter 50GHz')
legend('Single filter','Double filter','Triple filter')
