%Filter matrix
function Sn1n2=S(freq, Thet, g, a, b, n1, n2)
c=299792458;
a1=1e-4;
A1=0.53;

lamr=2.27*g-4*a-2*b;%resonant wavelength
lamr=lamr*sqrt((n1^2+n2^2)/2);%used only in Omega
Omega=lamr*freq/c-c./(lamr*freq);

Y=1./(a1-1i.*g*A1./(lamr.*Omega));
 YTM=Y.*cos(Thet);%TM % some problem of mixind TE and TM
 YTE=Y./cos(Thet);%TE
 Sn1n2=(1/(2*n1)).*[-YTE+(n1+n2) -YTE+(n1-n2) 0 0; YTE+(n1-n2) YTE+(n1+n2) 0 0; 0 0 -YTM+(n1+n2) -YTM+(n1-n2); 0 0 YTM+(n1-n2) YTM+(n1+n2) ];