   clear all; close all; clc
%% Double Cross filter 
n1=1;
n2=1;
n=1;%ref. indx of media between filters
Thetp=90;

a1=1e-4;
A1=0.53;

c=299792458;
Thet=pi/180*0;
Ang=48:7:125;
 SPlam=(6e-3*(1-cos(( Ang)/180*pi)));
color=colormap(jet(length(SPlam)));


figure(1)
hold on
for cc=1:length(SPlam)

a=1e-4;
b=1e-4;
g=(SPlam(cc)+4*a+2*b)/2.27;
disp(['g=' num2str(round(g*1e+4)/10) ' a=' num2str(a*1e+3) ' b=' num2str(b*1e+3) ' Freq=' num2str(round(c/SPlam(cc)*1e-9)) 'GHz' ])

 d=g/2;
loss=0;
c=3e+8;
FreqArr=1e+9:1e+8:4e+11;
for cnt=1:length(FreqArr)

freq=FreqArr(cnt);

    Stot= S(freq, Thet, g, a, b, n1, n2)*T(freq,loss,d,n)* S(freq, Thet, g, a, b, n1, n2);
%     Stot=  S(freq, Thet, g, a, b, n1, n2);

TTE(cnt)=abs(1./Stot(2,2))^2;
TTM(cnt)=abs(1./Stot(4,4))^2;
end
 plot(FreqArr*1e-9,TTE,'color',color(cc,:),'linew',2)
% [~,pks]=findpeaks(TTE);
%  Px=TTE(1:round((pks(2)+pks(1))/2));
[~,mxp]=max(TTE);
 Px=TTE(1:round(1.9*mxp));
fwhm(cc)=length(Px(Px>0.5))*1e+8;
legendInfo{cc} = ['\lambda= ' num2str(round(SPlam(cc)*1e+4)*1e-1) ' mm']; % or whatever is appropriate
load freq.mat
Frange=(FreqArr>FreqR(cc))&(FreqArr<FreqL(cc));
FilterFiltering(cc)=sum(TTE(Frange))/sum(Frange);
load freqm3.mat
Frange=(FreqArr>FreqR(cc))&(FreqArr<FreqL(cc));
FilterFilteringm3(cc)=sum(TTE(Frange))/sum(Frange);
load freqp3.mat
Frange=(FreqArr>FreqR(cc))&(FreqArr<FreqL(cc));
FilterFilteringp3(cc)=sum(TTE(Frange))/sum(Frange);
end
% Ttot=sin(Thetp).^2.*TOP+cos(Thetp).^2.*TIP;
grid on
set(gca,'fontsize',16)
% set(gca,'xscale','log')
xlabel('Frequency, [GHz]')
ylabel('Transmissivity, [1]')
title('Cross filters')
% legend(legendInfo,'location','northwest')


% plot(FreqArr*1e-9,TTM,'r')

FreqGHz=3e+8./SPlam*1e-9;
% FreqR=3e+8./(6e-3*(1-cos(( Ang-3)/180*pi)))
% FreqL=3e+8./(6e-3*(1-cos(( Ang+3)/180*pi)))

for k=1:length(FreqGHz)
    
%     plot([FreqGHz(k) FreqGHz(k)],[0 1],'k','linew',2) 
%     plot([FreqR(k) FreqR(k)]*1e-9,[0 1],'color',color(k,:),'linew',1) 
%     plot([FreqL(k) FreqL(k)]*1e-9,[0 1],'color',color(k,:),'linew',1) 
%    plot([FreqR2(k) FreqR2(k)]*1e-9,[0 1],'color',color(k,:),'linew',1) 
%    plot([FreqL2(k) FreqL2(k)]*1e-9,[0 1],'color',color(k,:),'linew',1) 

end
%  set(gca,'xscale','log')

% % figure
% % plot(FreqGHz,fwhm./FreqGHz*1e-9,'-or')

figure
hold on
plot(FreqR(1:11)*1e-9,FreqL(2:12)*1e-9)
plot(1:150,1:150,'r')

xlim([0 150])
ylim([0 150])
grid on


figure
hold on

plot(FreqGHz,FilterFiltering,'-or','linew',2)
plot(FreqGHz,FilterFilteringm3,'-ok','linew',2)
plot(FreqGHz,FilterFilteringp3,'-ob','linew',2)
ylim([0 1])
xlim([30 155])
grid on
set(gca,'fontsize',16)
% set(gca,'xscale','log')
xlabel('Frequency, [GHz]')
ylabel('Cut ratio, [1]')
legend('Correct position','-3^o shift','+3^o shift','location','southwest')
