   clear all; close all; clc
%% Double Cross filter 

a1=1e-4;
A1=0.53;

c=299792458;
SPlam=c/100e+9;
aar=(0.1:0.2:5)*1e-3;
bar=(0.1:0.2:5)*1e-3;


for cc=1:length(aar)
for ck=1:length(bar)

a=aar(cc);
b=bar(ck);
g=(SPlam+4*a+2*b)/2.27;

FreqArr=1e+9:1e+8:2e+11;
for cnt=1:length(FreqArr)
Stot=  S(FreqArr(cnt), 0, g, a, b, 1, 1);
TTE(cnt)=abs(1./Stot(2,2))^2;
end
Rez(cc,ck)=sum(TTE>0.5)*1e+8;
end
end
[hC hC] =contourf(aar*1e+3,bar*1e+3,Rez'.*1e-9)
 set(hC,'LineStyle','none');
colorbar
set(gca,'fontsize',16)
xlabel('a, [mm]')
ylabel('b, [mm]')
title('100 GHz, FWHM of transmittance, [GHz]')
