clear all; close all; clc
phi=-10:0.1:10;%azimutal angle deg
 dthet=-10:0.1:10;%polar angle deg, (shift from optic axis of the mirror)
FWHM=[];

lefts=[];
rights=[];
shift=3
 for Thet=((48:7:125)+shift)



for c=1:length(dthet)
Lamb=6*(1-cos((Thet+dthet(c))/180*pi));
R=Lamb/2;%focal spot (Abbe diffraction limit)
r=1;%detector radius
d=50.8*sqrt(tan(phi/180*pi).^2+tan(dthet(c)/180*pi).^2);
A=@(x,y)x^2*acos(y./x)-y.*sqrt(x^2-y.^2);
d1=(d.^2-r^2+R^2)./(2*d);
d2=d-d1;
Cs=A(R,d1)+A(r,d2);%sum of two lengthes

Map(c,:)=real(Cs);
end 
figure
contourf(dthet,phi,Map')
xlabel('\Theta')
ylabel('\phi')
title(num2str(Thet))
 FWHM=[FWHM,length(Map(101,(Map(101,:)>0.5*max(max(Map)))))*0.1];
lefts=[lefts,find(Map(101,:)>0.5*max(max(Map)),1)];
tmp=find(Map(101,:)>0.5*max(max(Map)));
rights=[rights,tmp(end)];

%  save(['map' num2str(Thet) '.mat'],'Map')
 end
 FWHM2=(rights-lefts+1)*0.1;
R= (rights*0.1+((48:7:125)+shift)-10);
L= (lefts*0.1+((48:7:125)+shift)-10);

FreqR=3e+8./(6e-3*(1-cos(R/180*pi)));
FreqL=3e+8./(6e-3*(1-cos(L/180*pi)));



save freqp3.mat FreqR FreqL



























