   clear all; close all; clc
%% Double Cross filter 
n1=1;
n2=1;
n=1;%ref. indx of media between filters
Thetp=90;

a1=1e-4;
A1=0.53;

c=299792458;
Thet=pi/180*0;
% 48:7:125
% SPlam=(6e-3*(1-cos(( 48:7:125)/180*pi)));
% SPlam=c/2.99855e+9;
SPlam=c./([ 20 24 27  30  32 34 37   40  50  66  94 ]*1e+9);
color=colormap(jet(length(SPlam)));
figure(1)
hold on
FreqArr=1e+9:1e+8:300e+9;

sigma24=0.11e+9;
gauss24=1/sqrt(2*pi*sigma24^2)*exp(-(FreqArr-24e+9).^2./(2*sigma24^2));
% plot(FreqArr*1e-9,gauss24./max(gauss24),'-k','linew',2)
sigma35=0.11e+9;
gauss35=1/sqrt(2*pi*sigma35^2)*exp(-(FreqArr-32e+9).^2./(2*sigma35^2));
for cc=1:length(SPlam)

a=1e-4;
b=1e-4;
g=(SPlam(cc)+4*a+2*b)/2.27;
disp(['g=' num2str(round(g*1e+4)/10) ' a=' num2str(a*1e+3) ' b=' num2str(b*1e+3) ' Freq=' num2str(round(c/SPlam(cc)*1e-9)) 'GHz' ])

d=g/2;
loss=0;
c=3e+8;
for cnt=1:length(FreqArr)

freq=FreqArr(cnt);

    Stot=  S(freq, Thet, g, a, b, n1, n2);

TTE(cnt)=abs(1./Stot(2,2))^2;
TTM(cnt)=abs(1./Stot(4,4))^2;
end
plot(FreqArr*1e-9,TTE,'color',color(end-cc+1,:),'linew',2)

Trans24(cc)=sum(TTE.*gauss24*1e+8);
Trans35(cc)=sum(TTE.*gauss35*1e+8);
legendInfo{cc} = ['\lambda= ' num2str(round(SPlam(cc)*1e+4)*1e-1) ' mm']; % or whatever is appropriate

end
% Ttot=sin(Thetp).^2.*TOP+cos(Thetp).^2.*TIP;
grid on
set(gca,'fontsize',16)
% set(gca,'xscale','log')
xlabel('Frequency, [GHz]')
ylabel('Transmissivity, [1]')
title('Cross filters, a=b=0.1 mm')
legend(legendInfo,'location','northwest')

 set(gca,'xscale','log')
 xlim([1 200])
figure
hold on
plot(c./SPlam*1e-9,Trans24,'-or','linew',2)
plot(c./SPlam*1e-9,Trans35,'-ok','linew',2)
grid on

set(gca,'fontsize',16)
xlabel('Filter frequency, [GHz]')
ylabel('Transmission, [1]')
title('Cross filters')
legend('24 GHz','35 GHz','location','northeast')

Trans32=Trans35
% save dataT.mat Trans24 Trans35
save dataT32.mat Trans32



