   clear all; close all; clc
%% Double Cross filter 
n1=1;
n2=1;
n=1;%ref. indx of media between filters
Thetp=90;

a1=1e-4;
A1=0.53;

c=299792458;
Thet=pi/180*0;
FreqGHz=50;
Aarr=[0.1 0.5 1 2 3 5 ]*1e-3;
color=colormap(jet(length(Aarr)));
figure(1)
hold on
FreqArr=1e+9:1e+8:400e+9;
sigma24=0.11e+9;
gauss24=1/sqrt(2*pi*sigma24^2)*exp(-(FreqArr-24e+9).^2./(2*sigma24^2));
% plot(FreqArr*1e-9,gauss24./max(gauss24),'-k','linew',2)
sigma35=0.11e+9;
gauss35=1/sqrt(2*pi*sigma35^2)*exp(-(FreqArr-32e+9).^2./(2*sigma35^2));
for cc=1:length(Aarr)

a=Aarr(cc);
b=Aarr(cc);
g=(c/(FreqGHz*1e+9)+4*a+2*b)/2.27;
disp(['g=' num2str(round(g*1e+4)/10) ' a=' num2str(a*1e+3) ' b=' num2str(b*1e+3) ' Freq=' num2str(FreqGHz) 'GHz' ])
d=g/2;
loss=0;
c=3e+8;
for cnt=1:length(FreqArr)

freq=FreqArr(cnt);

    Stot=  S(freq, Thet, g, a, b, n1, n2);

TTE(cnt)=abs(1./Stot(2,2))^2;
TTM(cnt)=abs(1./Stot(4,4))^2;
end
plot(FreqArr*1e-9,TTE,'color',color(end-cc+1,:),'linew',2)

Trans24(cc)=sum(TTE.*gauss24*1e+8);
Trans35(cc)=sum(TTE.*gauss35*1e+8);
legendInfo{cc} = ['a=b= ' num2str(Aarr(cc)*1e+3) ' mm']; % or whatever is appropriate

end
% Ttot=sin(Thetp).^2.*TOP+cos(Thetp).^2.*TIP;
grid on
set(gca,'fontsize',16)
% set(gca,'xscale','log')
xlabel('Frequency, [GHz]')
ylabel('Transmissivity, [1]')
title('Cross filters (50 GHz)')
legend(legendInfo,'location','northeast')

figure
hold on
plot(Aarr*1e+3,Trans24,'-or','linew',2)
plot(Aarr*1e+3,Trans35,'-ok','linew',2)
grid on

set(gca,'fontsize',16)
% set(gca,'xscale','log')
xlabel('a (b), [mm]')
ylabel('Transmission, [1]')
title('Cross filters (50 GHz)')
legend('24 GHz','35 GHz','location','northwest')

Trans24ab =Trans24(1:end-1);
Trans35ab =Trans35(1:end-1);
Trans32ab =Trans35(1:end-1);

% save dataTab.mat Trans24ab Trans35ab
save dataTab32.mat Trans32ab

